/* meyerweb.com/eric/tools/css/reset/ */
/*	CSS RESET */
html, body, div, span, applet, object, iframe,
h1, h2, h3, h4, h5, h6, p, blockquote, pre,
a, abbr, acronym, address, big, cite, code,
del, dfn, em, img, ins, kbd, q, s, samp,
small, strike, strong, sub, sup, tt, var,
b, u, i, center,
dl, dt, dd, ol, ul, li,
fieldset, form, label, legend,
table, caption, tbody, tfoot, thead, tr, th, td,
article, aside, canvas, details, embed, 
figure, figcaption, footer, header, hgroup, 
menu, nav, output, ruby, section, summary,
time, mark, audio, video {
	margin: 0;
	padding: 0;
	border: 0;
	font-size: 100%;
	font: inherit;
	font-family: Arial;
	vertical-align: baseline;
}
/* HTML5 display-role reset for older browsers */
article, aside, details, figcaption, figure, 
footer, header, hgroup, menu, nav, section {
	display: block;
}
body {
	line-height: 1;
}
ol, ul {
	list-style: none;
}
blockquote, q {
	quotes: none;
}
blockquote:before, blockquote:after,
q:before, q:after {
	content: '';
	content: none;
}
table {
	border-collapse: collapse;
	border-spacing: 0;
}
/* END CSS RESET */



html, body {
	/*height: 100%;*/
}

body {
	background-image: url("https://subspacedistortion.com/images/background2.jpg");
	background-position: center;
	background-repeat:  repeat;
	background-attachment: local;
	background-size: contain;
}

h1 {
	font-size: 48px;
	padding-top: 16px;
	padding-bottom: 16px;
	font-weight: bold;
}
h2 {
	font-size: 42px;
	padding-top: 12px;
	padding-bottom: 12px;
	font-weight: bold;
}
h3 {
	font-size: 34px;
	padding-top: 8px;
	padding-bottom: 8px;
	font-weight: bold;
}
p {
	padding-top: 4px;
	padding-bottom: 4px;
}
fieldset {
	padding: 10px 0;
}


/* RADIOS and INPUTS*/
input[type="radio"] {
  opacity: 0;
  position: fixed;
  width: 0;
}
input[type="submit"],
input[type="button"],
input[type="radio"] + label {
    display: inline-block;
    padding: 10px 20px;
    font-size: 24px;
    border: 1px solid #4e3737;
    border-radius: 4px;
    background-color:#ccc;
	color: #373737
}
input[type="submit"]:active,
input[type="button"]:active,
input[type="radio"]:checked + label {
    background-color: #373737;
	color: #ccc;
}
input[type="radio"]:focus + label {
    border: 1px dashed #572448;
}
input[type="text"] {
	padding: 5px;
	font-size: 24px;
}

/* END RADIOS */

.pre-load-images {
	position: absolute;
	left: -10000px;
}

/* GENERAL STYLES */
.required {
	font-size: 20px;
	color: darkred;
}
/* END GENERAL STYLES */


#body-header {
	width: 100%;
	background-image: url("https://subspacedistortion.com/images/background1.jpg");
	background-position-x: center;
	background-position-y: top;
	background-repeat:  no-repeat;
	background-attachment: local;
	background-size: cover;
	padding-top: 56.26%; /* padding-top forces the div to have a height which is based on the width of the screen */
}
#body-header #body-header-container {
	position: absolute;
	top: 0;
	left: 0;
	width: 100%;
	padding-top: 34.8%;
	display: flex;
	justify-content: center;
}

#body-header a.mailing-list-button {
	display: flex;
	padding-top: 3.7%;
	width: 30.5%;
	background-image: url("https://subspacedistortion.com/images/mailing_list.png");
	background-size: contain;
}
#body-header a.mailing-list-button:hover {
	background-image: url("../images/mailing_list_highlight.png");
}
#body-header a.mailing-list-button:active {
	background-image: url("../images/mailing_list_click.png");
}

#body-body {
	/*background-image: url("https://subspacedistortion.com/images/background2.jpg");
	background-position: center;
	background-repeat:  repeat;
	background-attachment: local;
	background-size: contain;*/
	position: relative;
	width: 100%;
	padding-top: 100%;
}

#body-body #body-container{
	position: absolute;
	top: 0;
	left: 0;
	padding: 10px;
	font-size: 30px;
	width: 100%;
}

#body-footer {
	position: fixed;
	display: flex;
	bottom: 0;
	justify-content: center;
	width: 100%;
}
#body-footer-left {
	width: 10px;
	background: url("https://subspacedistortion.com/images/bottom-menu.png") no-repeat top left;
	height: 100px;
}
#body-footer-right {
	width: 10px;
	background: url("https://subspacedistortion.com/images/bottom-menu.png") no-repeat top right;
	height: 100px;
}
#body-footer-center {
	width: 70%;
	background: url("https://subspacedistortion.com/images/bottom-menu.png") repeat-x 0 -148px;
	height: 88px;
	display: flex;
	justify-content: space-around;
	padding-top: 12px;
}
#body-footer span {
	background-color: #ccc;
	opacity: 0.9;
}
#body-footer .body-footer-icon {
	position: relative;
	display: block;
	width: 64px;
	height: 64px;
	background-image: url("https://subspacedistortion.com/images/button-icons.png");
	background-repeat: no-repeat;
	cursor: pointer;
	text-align: center;
	vertical-align: bottom;
}
#body-footer .body-footer-icon span{
	position: absolute;
	bottom: -18px;
	left: 0;
	width: 100%;
}
#body-footer #body-footer-icon-home {
	background-position: -94px -10px;
}
#body-footer #body-footer-icon-videos {
	background-position: -10px -10px;
}
#body-footer #body-footer-icon-mailing-list {
	background-position: -178px -10px;
}
#body-footer #body-footer-icon-contact {
	background-position: -10px -94px;
}
#body-footer #body-footer-icon-games {
	background-position: -94px -94px;
}
#body-footer #body-footer-icon-menu {
	background-position: -178px -94px;
}
#body-footer #body-footer-icon-home:hover {
	background-position: -94px -178px;
}
#body-footer #body-footer-icon-videos:hover {
	background-position: -10px -178px;
}
#body-footer #body-footer-icon-mailing-list:hover {
	background-position: -178px -178px;
}
#body-footer #body-footer-icon-contact:hover {
	background-position: -10px -262px;
}
#body-footer #body-footer-icon-games:hover {
	background-position: -94px -262px;
}
#body-footer #body-footer-icon-menu:hover {
	background-position: -178px -262px;
}

/* MODAL DIALOG */
#modal-dialog {
	z-index: -100;
	position: absolute;
	top: 0;
	left: 0;
	width: 100%;
	background-color: rgba(0, 0, 0, 0.4);
	opacity: 0;
}

#modal-dialog-container {
	padding-top: 25%;
	width: 500px;
	margin: auto;
}
#modal-dialog-title-container {
	width: 100%;
	display: flex;
	align-items: flex-start;
}
#modal-dialog-title {
	background-color: #585858;
	color: #eee;
	padding: 5px;
	width: 375px;
	font-size: 30px;
	border-top: 1px solid #373737;
	border-left: 1px solid #373737;
	border-bottom: 1px solid #373737;
}
#modal-dialog-close {
	text-align: center;
	display: block;
	color: #eee;
	padding-top: 5px;
	padding-bottom: 5px;
	width: 125px;
	font-size: 30px;
	background-color: #373737;
	text-decoration: none;
	border: 1px solid #373737;
}
#modal-dialog-close:hover {
	background-color: #242448;
}
#modal-dialog-body {
	background-color: #b3b3ce;
	padding: 35px 5px;
	border-bottom: 1px solid #373737;
	border-left: 1px solid #373737;
	border-right: 1px solid #373737;
	font-size: 24px;
	text-align: center;
}
#modal-dialog-body button {
	color: #eee;
	background-color: #373737;
	border: none;
	padding: 5px;
	font-size: 24px;
}
#modal-dialog-body button:hover {
	background-color: #242448;
}
#modal-dialog-body input {
	padding: 5px;
	font-size: 24px;
}

#modal-dialog .fine-print {
	font-size: 12px;
	text-align: left;
}
/* END MODAL DIALOG */


/* SITE POLICY */
#site-policy-accept {
	z-index: 2;
	position: fixed;
	top: 20px;
	left: 20%;
	width: 60%;
	background-color: rgba(1,1,1,0.7);
	color: white;
	padding: 10px;
	font-size: 30px;
}
#site-policy-accept form {
	padding-top: 20px;
}
#site-policy-accept label {
	padding-left: 15px;
	padding-right: 15px;
}
#site-policy-accept a,
#site-policy-accept a:hover,
#site-policy-accept a:active {
	color: white;
}
#site-policy-accept button {
	color: #eee;
	background-color: #373737;
	border: none;
	padding: 5px;
	font-size: 24px;
}
#site-policy-accept button:hover {
	background-color: #242448;
}

#videos {
	width: 100%;
}
#videos iframe {
	display: block;
	margin: 10px auto;
}
/* END SITE POLICY */


/* MAILING LIST DIALOG */
#mailing-list-form p {
	padding-top: 20px;
}
#mailing-list-response {
	font-size: 20px;
}
/* END MAILING LIST DIALOG */


#on-start {
	display: none;
}


/* TIC-TAC-TOE */
#tic-tac-toe {
	width: 500px;
	margin: auto;
}
#tic-tac-toe .tttoe-board {
	background-image: url("https://subspacedistortion.com/images/tic-tac-toe.png");
	background-repeat:  no-repeat;
}
#tttoe-board-3 {
	width: 240px;
	height: 240px;
	padding: 4px;
	background-position: -80px -80px;
}
#tic-tac-toe .tttoe-row {
	display: flex;
	justify-content: center;
}
#tic-tac-toe .tttoe-square {
	width: 80px;
	height: 80px;
	cursor: pointer;
}
#tic-tac-toe .tttoe-play-as-o .tttoe-square:hover:not(.tttoe-square-o):not(.tttoe-square-x) {
	background-image: url("https://subspacedistortion.com/images/tic-tac-toe.png");
	background-repeat:  no-repeat;
	background-position: -4px -1284px;
}
#tic-tac-toe .tttoe-play-as-x .tttoe-square:hover:not(.tttoe-square-o):not(.tttoe-square-x) {
	background-image: url("https://subspacedistortion.com/images/tic-tac-toe.png");
	background-repeat:  no-repeat;
	background-position: -84px -1284px;
}


	/* background-color: rgba(50,184,236,0.4); */

#tic-tac-toe .tttoe-square-o {
	background-image: url("https://subspacedistortion.com/images/tic-tac-toe.png");
	background-repeat:  no-repeat;
	background-position: -4px -1284px;
}
#tic-tac-toe .tttoe-square-x {
	background-image: url("https://subspacedistortion.com/images/tic-tac-toe.png");
	background-repeat:  no-repeat;
	background-position: -84px -1284px;
}
/* END TIC-TAC-TOE */

/* CONTACT FORM */
#contact-form {
	width: 60%;
	margin: auto;
}
#contact-form textarea {
	width: 100%;
	height: 400px;
}

/* END CONTACT FORM */